For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
      • GETList all Cases
      • POSTCreate a Case
      • GETRetrieve a Case
      • DELRedact a Case
      • PATCHUpdate a Case
      • POSTAdd Persona objects to a Case
      • POSTAssign a Case
      • POSTSet status on a Case
      • POSTAdd tag to a Case
      • POSTRemove tag from a Case
      • POSTSet tags on a Case
      • POSTSearch Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceCases

Remove tag from a Case

POST
https://api.withpersona.com/api/v1/cases/:case-id/remove-tag
POST
/api/v1/cases/:case-id/remove-tag
$curl -X POST https://api.withpersona.com/api/v1/cases/case-id/remove-tag \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "meta": {
> "tag-name": "Apple"
> }
>}'
1{
2 "data": {
3 "id": "case_3maVhdLzdGftRZCvxfqazVL1",
4 "attributes": {
5 "status": "Open",
6 "name": "KYC-6",
7 "created-at": "2021-06-30T20:37:18.678Z",
8 "updated-at": "2021-08-26T18:24:19.695Z",
9 "assigned-at": "2021-08-26T18:24:19.695Z",
10 "creator-id": "wfl_yKynZZiuPz1R5qm9JFyBnnLB",
11 "creator-type": "workflow-run",
12 "assignee-id": "case_assignee@withpersona.com",
13 "assigner-id": "case_assigner@withpersona.com",
14 "assigner-type": "user",
15 "tags": [],
16 "fields": {},
17 "attachments": []
18 },
19 "relationships": {
20 "accounts": {
21 "data": []
22 },
23 "case-comments": {
24 "data": []
25 },
26 "case-template": {
27 "data": {
28 "id": "ctmpl_6HheND7s14a2o7fg33iHqhg7",
29 "type": "case-template"
30 }
31 },
32 "case-queue": {
33 "data": {
34 "id": "cqueue_7JRbkcdbx9fTossK98NJvRZcmk1",
35 "type": "case-queue"
36 }
37 },
38 "inquiries": {
39 "data": [
40 {
41 "id": "inq_29Yd6kF6xWVFgemm5WTxhxvf",
42 "type": "inquiry"
43 }
44 ]
45 },
46 "reports": {
47 "data": [
48 {
49 "id": "rep_PN3xspEwWCWWRp1eGpedaSNj",
50 "type": "report/watchlist"
51 }
52 ]
53 },
54 "verifications": {
55 "data": []
56 },
57 "txns": {
58 "data": []
59 }
60 },
61 "type": "case"
62 }
63}
Removes an existing tag from a Case
Was this page helpful?
Previous

Set tags on a Case

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

case-idstringRequired
ID of the case to update.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Request

This endpoint expects an object.
metaobjectOptional

Response

This endpoint returns a Case object and (optionally) its related objects in included.

dataobject
A Case object
includedlist of objects

Objects that may be returned if specified via the include query parameter in the request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.